GET /files/{file_id}/thumbnail.{extension}
Operation ID: get_files_id_thumbnail_id
Auth: unknown
Description
Retrieves a thumbnail, or smaller image representation, of a file. Sizes of `32x32`,`64x64`, `128x128`, and `256x256` can be returned in the `.png` format and sizes of `32x32`, `160x160`, and `320x320` can be returned in the `.jpg` format. Thumbnails can be generated for the image and video file formats listed [found on our community site][1]. [1]: https://community.box.com/t5/Migrating-and-Previewing-Content/File-Types-and-Fonts-Supported-in-Box-Content-Preview/ta-p/327
Parameters (6)
(string, path, required)
The file format for the thumbnail
Constraints: {'enum': ['png', 'jpg']}
(string, path, required)
The unique identifier that represents a file. The ID for any file can be determined by visiting a file in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/files/123` the `file_id` is `123`.
(integer, query, optional)
The maximum height of the thumbnail
Constraints: {'minimum': 32, 'maximum': 320}
(integer, query, optional)
The maximum width of the thumbnail
Constraints: {'minimum': 32, 'maximum': 320}
(integer, query, optional)
The minimum height of the thumbnail
Constraints: {'minimum': 32, 'maximum': 320}
(integer, query, optional)
The minimum width of the thumbnail
Constraints: {'minimum': 32, 'maximum': 320}
No probe data for this endpoint yet.